#!/bin/bash
# $Id: ziprelease.sh,v 1.5 2003/02/22 16:53:36 joseph Exp $

if [ -z "$2" ]; then
  echo "Syntax: $0 <rel-zip-filename> <src-zip-filename>"
  exit 1
fi

output=`pwd`/$1.zip
srcoutput=`pwd`/$2.zip
cd `/usr/bin/dirname $0`/release || die "No release found"
rm -f $output
/opt/gccsdk/riscos/cross/bin/zip -9 -, -r $output * -x '*CVS*' -x '*~'

cd ..

cp --archive c h \!MakeApp26 \!MakeApp32 \!MakeDebug \!MakeMC Makefile \
  \!MakeRelea ziprelease.sh \
  source-release
rm source-release/*/o/*
# remove mpro mail transport, just in case
rm source-release/h/altdefines
find source-release -name '.#*' -exec rm {} \;
find source-release/* -name '.cvsignore' -exec rm {} \;
find source-release -name '*~' -exec rm {} \;

cd source-release || die "No source release found"
rm -f $srcoutput
/opt/gccsdk/riscos/cross/bin/zip -9 -, -r $srcoutput * -x '*CVS*' -x '*~'
